Help

Software Requirements

C3 College Online is using an open source software product called Moodle as it's learning management system. We strongly recommend you use the following applications and plug-ins to use C3 College Online, and view the participant/facilitator manuals and flash videos.

  • Web browsers
    • Firefox - version 3.6 or later. (Recommended browser)
    • Google Chrome - All versions. (Recommended browser)
    • Internet Explorer - version 8. Please note there are known problems with viewing pages and navigation buttons in Moodle using IE7
    • Safari - version 4.0.4 or later
  • Download the latest version of Adobe Flash player as a plug-in to your internet browser (see above for browser options)
  • Download the latest version of Adobe Reader to view the participant/facilitator manuals.
Skip Administration